import * as React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { NavigationProp, NavigationScreenProp, NavigationRoute, NavigationDescriptor } from 'react-navigation';
declare type NavigationMaterialBottomTabOptions = {
    shifting?: boolean;
    labeled?: boolean;
    activeColor?: string;
    activeColorLight?: string;
    activeColorDark?: string;
    inactiveColor?: string;
    inactiveColorLight?: string;
    inactiveColorDark?: string;
    barStyle?: StyleProp<ViewStyle>;
    barStyleLight?: StyleProp<ViewStyle>;
    barStyleDark?: StyleProp<ViewStyle>;
    title?: string;
    tabBarLabel?: React.ReactNode;
    tabBarVisible?: boolean;
    tabBarAccessibilityLabel?: string;
    tabBarTestID?: string;
    tabBarIcon?: React.ReactNode | ((props: {
        focused: boolean;
        tintColor?: string;
        horizontal?: boolean;
    }) => React.ReactNode);
    tabBarOnPress?: (props: {
        navigation: NavigationScreenProp<any>;
        defaultHandler: () => void;
    }) => void;
};
declare type Screen<Options extends NavigationMaterialBottomTabOptions> = React.ComponentType<any> & {
    navigationOptions?: Options & {
        [key: string]: any;
    };
};
declare type RouteConfig<Options> = {
    [key: string]: Screen<Options> | (({
        screen: Screen<Options>;
    } | {
        getScreen(): Screen<Options>;
    }) & {
        path?: string;
        navigationOptions?: Options | ((options: {
            navigation: NavigationScreenProp<any>;
        }) => Options);
    });
};
export declare type RenderIconProps = {
    route: NavigationRoute<any>;
    focused: boolean;
    tintColor?: string;
    horizontal?: boolean;
};
export declare type NavigationViewProps = {
    navigation: NavigationProp<any>;
    descriptors: {
        [key: string]: NavigationDescriptor<any, NavigationMaterialBottomTabOptions>;
    };
    screenProps?: unknown;
    navigationConfig: any;
    getLabelText: (props: {
        route: NavigationRoute;
    }) => string | undefined;
    getAccessibilityLabel: (props: {
        route: NavigationRoute;
    }) => string | undefined;
    getTestID: (props: {
        route: NavigationRoute;
    }) => string | undefined;
    renderIcon: (props: RenderIconProps) => React.ReactNode;
    renderScene: (props: {
        route: NavigationRoute;
    }) => React.ReactNode;
    onIndexChange: (index: number) => void;
    onTabPress: (props: {
        route: NavigationRoute;
    }) => void;
};
export default function createMaterialBottomTabNavigator(routes: RouteConfig<NavigationMaterialBottomTabOptions>, config: NavigationMaterialBottomTabOptions): any;
export {};
