import * as React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import { NavigationRoute, NavigationProp, NavigationDescriptor } from 'react-navigation';
import { BottomNavigation } from 'react-native-paper';
declare type Options = {
    tabBarVisible?: boolean;
    tabBarColor?: string;
    tabBarColorLight?: string;
    tabBarColorDark?: string;
};
declare type Props = React.ComponentProps<typeof BottomNavigation> & {
    navigation: NavigationProp<any>;
    descriptors: {
        [key: string]: NavigationDescriptor<any, Options>;
    };
    screenProps?: unknown;
    renderIcon: (options: {
        route: NavigationRoute;
        focused: boolean;
        tintColor: string;
    }) => React.ReactNode;
    activeColor?: string;
    activeColorLight?: string;
    activeColorDark?: string;
    inactiveColor?: string;
    inactiveColorLight?: string;
    inactiveColorDark?: string;
    barStyle?: StyleProp<ViewStyle>;
    barStyleLight?: StyleProp<ViewStyle>;
    barStyleDark?: StyleProp<ViewStyle>;
};
export default class MaterialBottomTabView extends React.Component<Props> {
    static contextType: React.Context<import("react-navigation").SupportedThemes>;
    _getColor: ({ route }: {
        route: NavigationRoute<import("react-navigation").NavigationParams>;
    }) => any;
    _getactiveColor: () => any;
    _getInactiveColor: () => any;
    _getBarStyle: () => any;
    _isVisible(): any;
    _renderIcon: ({ route, focused, color, }: {
        route: NavigationRoute<import("react-navigation").NavigationParams>;
        focused: boolean;
        color: string;
    }) => any;
    render(): JSX.Element;
}
export {};
